package com.github.htfv.maven.plugins.buildconfigurator.core;

import java.util.Map;

public class ConfigureResult
{
    public static class Builder
    {
        private Map<String, String> newProperties;

        public ConfigureResult build()
        {
            return new ConfigureResult(this);
        }

        public Builder newProperties(final Map<String, String> newProperties)
        {
            this.newProperties = newProperties;
            return this;
        }
    }

    private final Map<String, String> newProperties;

    private ConfigureResult(final Builder builder)
    {
        this.newProperties = builder.newProperties;
    }

    public Map<String, String> getNewProperties()
    {
        return newProperties;
    }
}
