package com.github.htfv.maven.plugins.buildconfigurator.core;

import java.util.Map;

import org.codehaus.plexus.interpolation.AbstractValueSource;

public class PropertiesValueSource extends AbstractValueSource
{
    private final Map<String, String> properties;

    public PropertiesValueSource(final Map<String, String> properties)
    {
        super(false);
        this.properties = properties;
    }

    @Override
    public Object getValue(final String expression)
    {
        return properties.get(expression);
    }
}
